Replace a case attachment
- Base URL
-
https://{kibana_url}
- PUT /api/cases/{caseId}/attachments/{attachmentId}
- PUT /s/{space_id}/api/cases/{caseId}/attachments/{attachmentId}
Fully replaces an attachment. You cannot change the attachment type or owner. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case.
Responses
The request failed for one of these reasons:
- The request body is invalid.
- The attachment type is
file. - The request changes the attachment type or owner.
Authorization information is missing or invalid.
You don't have the required privileges for this case.
The attachment was not found in the case.